	#pragma config OSC = HS
	#pragma config WDT = OFF
	#pragma config WDTPS = 128
	#pragma config BORV = 0, BOREN = ON, IESO = OFF
	#pragma config FCMEN=OFF, PWRT=OFF, MCLRE=ON,STVREN=ON
	#pragma config DEBUG = ON, LVP = OFF, XINST = OFF 
	#pragma config PBADEN = OFF			//	PBADEN: PORTB A/D Enable bit -> 0 = PORTB pins are configured as digital I/O on Reset


#include <p18cxxx.h>
#include "h/GLCD.h"

const rom unsigned char Logo[];
unsigned char i;


void PutBars(unsigned char x,unsigned char y,unsigned char Percent)
{
unsigned char i;
        for(i=(100-Percent)/10;i<10;i++){
            vline(x+i,x+10,y+2*i);
        }            
}



void main(void)
{
	char ret,i;
	// disable AD converter and set up Port A as digital I/O
	ADCON0bits.ADON = 0;
	ADCON1 = 0b00001111;
	
	TRISAbits.TRISA0 = 0;
	TRISAbits.TRISA1 = 0;

	Init_GLCD();


/*
    for(i=0;i<8;i++){
        SetPos(0,0);
        GLCD_Write_Data(1<<i);
        ret=GLCD_Read_Data();
        if(ret!=(1<<i))
            while(1);
    }
*/


GLCD_Write_Data(0x0D);
ret=GLCD_Read_Data();
if(ret!=0x0D)
{//ERROR INPUT DOESNT MATCH OUTPUT
LED1 = 0;
LED2 = 1;
}    
else
{//Data OK!
LED1 = 1;
LED2 = 0;
}


while(1);




   


}







const rom unsigned char Logo[]={
	20,21,					// width,height
    0x00,0x06,0x00,0x60,	// raster data - no padding.
    0x00,0x40,0x2F,0x00,
    0xFC,0x03,0x80,0x1F,
    0x00,0xF8,0x01,0x92,
    0x9F,0xF4,0xFB,0xFD,
    0xFE,0xFF,0xE7,0xFF,
    0x7F,0xFF,0xFF,0xEF,
    0xFF,0x7F,0xFC,0xFF,
    0x83,0xFF,0x1F,0xF0,
    0xFF,0x00,0xFE,0x07,
    0xF0,0xFF,0x00,0x60,
    0x00,0x00,0x06,0x00,
    0x60,0x00,0x00,0x06,
	0x00
};